package bankmode

import (
	"wartank/pkg/types"
	"wartank/server/serv_bots/warbot/tank/tankstat/static_param"
)

/*
	Объект допустимого режима банка.
*/

// BankMode -- объект допустимого режима банка
type BankMode struct {
	silver    types.IStatParam
	timeCount string
}

// NewBankMode -- возвращает новый *BankMode
func NewBankMode() *BankMode {
	return &BankMode{
		silver: static_param.NewStaticParam("silver"),
	}
}

// Silver -- возвращает объект серебра режима
func (sf *BankMode) Silver() types.IStatParam {
	return sf.silver
}

// Time -- возвращает временя производства режима
func (sf *BankMode) Time() string {
	return sf.timeCount
}

// TimeSet -- устанавливает времея производства режима
func (sf *BankMode) TimeSet(val string) {
	sf.timeCount = val
}
